xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Don Stewart 2007
License | BSD3-style (see LICENSE)
Maintainer | dons@cse.unsw.edu.au
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

XMonad.Actions.SimpleDate

Contents

- Usage

Description

An example external contrib module for XMonad. Provides a simple binding to dzen2 to print the date as a popup menu.

Synopsis

- date :: X ()

# Usage

To use, import this module into `xmonad.hs`:

        import XMonad.Actions.SimpleDate

and add a keybinding, for example:

       , ((modm,               xK_d     ), date)

In this example, a popup date menu will now be bound to `mod-d`.

For detailed instructions on editing your key bindings, see the tutorial.

date :: X () #